org.gradle.language.cpp

## Interface CppExecutable

- All Superinterfaces:
    CppBinary, Named, SoftwareComponent

      @Incubating
      public interface CppExecutable
      extends CppBinary

  An executable built from C++ source.
  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.language.cpp.CppBinary

      `DEBUGGABLE_ATTRIBUTE`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.language.cpp.CppBinary

      `getBaseName, getCompileIncludePath, getCppSource, getLinkLibraries, getRuntimeLibraries, isDebuggable`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`